# Display Name

A short project description

## Requirements

* Flutter <https://flutter.dev/>
* Taskfile <https://taskfile.dev/>

### Configuration

At the build time, the app will read the environment variables from `config.json` file.

The important variable is `DEV_MODE` which can be `mock` , `local` or `real` .

```json
{
  "DEV_MODE": "local"
}
```

> **Note** `local` can refer to a local server or a local emulator.

### Taskfile

Available tasks:

| Commande | Description | Alias |
| --- | --- | --- |
| clean | Nettoie l'environnement de travail | cl |
| format | Formate le code | fmt |
| help | Affiche la boîte de dialogue d'aide | h, default |
| lint | Vérifie la qualité du code | l |
| start-emulators | Démarre les émulateurs nécessaires | emu |
| build:android | Construit le fichier APK pour Android | build:a |
| build:ios | Construit le fichier IPA pour iOS | build:i |
| gen:build | Exécute le générateur de build | gen:b |
| gen:build-delete | Exécute le générateur de build et supprime les sorties en conflit | gen:d |
| gen:clean | Nettoie le générateur de build | gen:c |
| gen:intl | Génère un fichier d'internationalisation | gen:i |
| gen:watch | Exécute le générateur de build en mode surveillance | gen:w |
| pub:get | Obtient les dernières dépendances | pub:g |
| pub:outdated | Vérifie les dépendances obsolètes | pub:o |
| pub:upgrade | Met à jour les dépendances | pub:u |
| pub:upgrade-major | Met à jour les dépendances majeures | pub:um |
| pub:validate | Exécute le validateur de dépendances | pub:v |
| run:dev | Lance l'application en environnement de développement | run:d |
| run:logs | Affiche la sortie de journalisation pour les applications Flutter en cours d'exécution | run:l |
| run:prod | Lance l'application en environnement de production | run:p |
| run:staging | Lance l'application en environnement de pré-production | run:s |

### Parameters

You can pass flutter options to the build and run commands.

```sh
task run:staging -- -d chrome
```

> **Note** The `--` is required to pass options to the command.
